# Check https://gitlab.cern.ch/gitlabci-examples/build_docker_image
# for a full reference of the variables you can use to customise your
# Docker builds

# In these two GitLab-CI jobs, we extend the two basic CI workers for Jenkins and GitLab-CI
# with the contents of the Dockerfile. The resulting images are then push the GitLab registry
# in this particular repository, each of them with a different tag.
build_cc7:
  tags:
    - docker-image-build
  script: "echo 'Building docker image..." # unused but this line is required by GitLab CI
  variables:
    FROM: clicdp/fedora-latex # Override the image specified in the Dockerfile
    TO: $CI_REGISTRY_IMAGE:fedora-latex-latest # $CI_REGISTRY_IMAGE is the registry space for this particular repository
    # TO can be omitted and the imaged will be push to $CI_REGISTRY_IMAGE:latest
